# -*- coding: utf-8 -*-
"""test des utilitaires de log"""

import os.path as osp
from os import remove
from py.test import raises

from creole.log import logger

HERE = osp.join(osp.dirname(__file__))
DATADIR = osp.join(HERE, 'data')


def setup_module(module):
    module.testname = "logfile1"

def check_phraselog(got, expected):
    """utilitaire de comparaison de 2 fichiers"""
    expected_content = file(expected).read().strip()
    got_content = file(got).read().strip()
    assert expected_content in got_content

def check_uniquelog(got, expected):
    """verifions que ça n'a pas loggué plusieurs fois"""
    expected = file(expected).readlines()
    got = file(got).readlines()
    assert len(expected) == len(got)
    
def test_logfile():
    """test le systeme de log"""
    logfile = osp.join(DATADIR, '%s.log' % testname)
    fh = file(logfile, 'w')
    fh.write('')
    fh.close()
    logger.set_logfile(filename=logfile)
    logger.info("hey buddy, that's the way it is")
    resultfile = osp.join(DATADIR, '%s.result' % testname)
    yield check_phraselog, logfile, resultfile
    yield check_uniquelog, logfile, resultfile

